'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _child_process = require('child_process');

var _child_process2 = _interopRequireDefault(_child_process);

var _stripEof = require('strip-eof');

var _stripEof2 = _interopRequireDefault(_stripEof);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TEN_MEBIBYTE = 1024 * 1024 * 10;

var exec = function exec(cmd, params) {
  return new Promise(function (resolve, reject) {
    _child_process2.default.exec(cmd + buildParams(params), { maxBuffer: TEN_MEBIBYTE }, function (error, stdout, stderr) {
      if (error) {
        return reject(Error(stderr));
      }
      resolve((0, _stripEof2.default)(stdout));
    });
  });
};

var escapeArg = function escapeArg(arg) {
  arg = arg.toString();

  // Double up all the backslashes and escape the double quote
  arg = arg.replace(/(\\*)"/g, '$1$1\\"');

  // Escape the backslashes that would escape the double quote that's added
  // later to the end of the string
  arg = arg.replace(/(\\*)$/, '$1$1');

  arg = '"' + arg + '"';
  return arg;
};

var buildParams = function buildParams(params) {
  return params.reduce(function (previous, current) {
    return previous + ' ' + escapeArg(current);
  }, '');
};

exports.default = exec;